DKPDoor Knock Pro Docs
Territories

List territories

GET
/v1/territories

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Query Parameters

per_pageinteger
Default: 50Minimum: 1Maximum: 200
typestring
qstring
curl -X GET "https://app.doorknockpro.com/api/v1/territories?per_page=50&type=%3Cstring%3E&q=%3Cstring%3E" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

Paginated territories

{
  "links": {
    "first": "string",
    "last": "string",
    "prev": "string",
    "next": "string"
  },
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  },
  "data": [
    {
      "id": 0,
      "name": "string",
      "description": "string",
      "color": "string",
      "type": "string",
      "status": true,
      "coordinates": [
        {}
      ],
      "added_by": 0,
      "members_count": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}